onEvent('recipes', event => {
	event.remove({id:'minecraft:mossy_cobblestone'})
	event.remove({id:'create:mossy_granite_from_granite_stonecutting'})
	event.remove({id:'create:overgrown_granite_from_granite_stonecutting'})
	event.remove({id:'create:mossy_diorite_from_diorite_stonecutting'})
	event.remove({id:'create:overgrown_diorite_from_diorite_stonecutting'})
	event.remove({id:'create:mossy_andesite_from_andesite_stonecutting'})
	event.remove({id:'create:overgrown_andesite_from_andesite_stonecutting'})
	event.remove({id:'create:mossy_limestone_from_limestone_stonecutting'})
	event.remove({id:'create:overgrown_limestone_from_limestone_stonecutting'})
	event.remove({id:'create:mossy_weathered_limestone_from_weathered_limestone_stonecutting'})
	event.remove({id:'create:overgrown_weathered_limestone_from_weathered_limestone_stonecutting'})
	event.remove({id:'create:mossy_dolomite_from_dolomite_stonecutting'})
	event.remove({id:'create:overgrown_dolomite_from_dolomite_stonecutting'})
	event.remove({id:'create:mossy_gabbro_from_gabbro_stonecutting'})
	event.remove({id:'create:overgrown_gabbro_from_gabbro_stonecutting'})
	event.remove({id:'create:mossy_scoria_from_scoria_stonecutting'})
	event.remove({id:'create:overgrown_scoria_from_scoria_stonecutting'})
	event.remove({id:'create:mossy_dark_scoria_from_dark_scoria_stonecutting'})
	event.remove({id:'create:overgrown_dark_scoria_from_dark_scoria_stonecutting'})
	
	event.replaceInput({id:'cold_sweat:hearth'}, 'minecraft:cobblestone', '#minecraft:stone_tool_materials')
	event.replaceInput({id:'cold_sweat:boiler'}, 'minecraft:cobblestone', '#minecraft:stone_tool_materials')
	event.replaceInput({id:'minecraft:furnace'}, 'minecraft:cobblestone', '#minecraft:stone_tool_materials')
	event.replaceInput({id:'minecraft:brewing_stand'}, 'minecraft:cobblestone', '#minecraft:stone_tool_materials')
	
	event.shapeless('minecraft:mossy_cobblestone', ['minecraft:cobblestone', 'minecraft:vine'])
	event.shapeless('create:mossy_granite', ['minecraft:granite', 'minecraft:vine'])
	event.shapeless('create:mossy_diorite', ['minecraft:diorite', 'minecraft:vine'])
	event.shapeless('create:mossy_andesite', ['minecraft:andesite', 'minecraft:vine'])
	event.shapeless('create:overgrown_granite', ['minecraft:granite', '2x minecraft:vine'])
	event.shapeless('create:overgrown_diorite', ['minecraft:diorite', '2x minecraft:vine'])
	event.shapeless('create:overgrown_andesite', ['minecraft:andesite', '2x minecraft:vine'])
	event.shapeless('create:mossy_limestone', ['create:limestone', 'minecraft:vine'])
	event.shapeless('create:overgrown_limestone', ['create:limestone', '2x minecraft:vine'])
	event.shapeless('create:mossy_weathered_limestone', ['create:weathered_limestone', 'minecraft:vine'])
	event.shapeless('create:overgrown_weathered_limestone', ['create:weathered_limestone', '2x minecraft:vine'])
	event.shapeless('create:mossy_dolomite', ['create:dolomite', 'minecraft:vine'])
	event.shapeless('create:overgrown_dolomite', ['create:dolomite', '2x minecraft:vine'])
	event.shapeless('create:mossy_gabbro', ['create:gabbro', 'minecraft:vine'])
	event.shapeless('create:overgrown_gabbro', ['create:gabbro', '2x minecraft:vine'])
	event.shapeless('create:mossy_scoria', ['create:scoria', 'minecraft:vine'])
	event.shapeless('create:overgrown_scoria', ['create:scoria', '2x minecraft:vine'])
	event.shapeless('create:mossy_dark_scoria', ['create:dark_scoria', 'minecraft:vine'])
	event.shapeless('create:overgrown_dark_scoria', ['create:dark_scoria', '2x minecraft:vine'])
})